# Custom Vegvisirs

Custom Vegvisirs is intended for modpack developers and server owners to provide players with lore in an immersive way. This mod currently does nothing on its own and will need to be configured to provide any value. All vegvisirs are disabled in the config and will need to be enabled to generate in world.

The Runestones/Vegvisirs have different functions all outlined in the configuration file. The first is to place a pin on the players map for a location provided in the config. In this manner, they act as vegvisirs. For example, you can have blue runestones spawn in meadows which, when interacted with, can place a pin on the nearest Hildr or Trader Location. (I wouldn't suggest this as the icons will overlap and look disgusting on the map). The best use of this mod is with other mods that add locations like [Do Or Die Monsters](https://valheim.thunderstore.io/package/Horem/DoOrDieMonsters/), [MonsterLabz](https://valheim.thunderstore.io/package/MonsterLabZ/MonsterLabZ/), [Therzies Monstrom](https://valheim.thunderstore.io/package/Therzie/Monstrum/), and [Do Or Die Items](https://valheim.thunderstore.io/package/Horem/Do_or_Die_Items/).

You will need the location name for the config. The easiest way is to check the mod's page and see if the locations are listed, then add the name to the runestones location config. If not, use find command in game to search for a valid location. Vanilla locations can be found at [JVL Valheim Location Data](https://valheim-modding.github.io/Jotunn/data/zones/location-list.html)

Secondly, you can provide text to the runestones, that appears when players interact with them. In this manner, they act only as Runestones. You can use them to add lore and maybe hint at the player where treasure or custom goodies are hidden. 

You can do both if you'd like as well. Its up to you to use them how you wish!

It currently adds 6 Runestones/Vegvisirs: blue, green, red, cyan, purple, pink

### Server side only, will sync configs if on both.

### Future Plans: 

	- [  ] Configurable Number of Runestones, i.e. 6 blue, 7 green ...
	
	- [  ] Individually configure all runestones added by above 
	
	- [  ] Add the runes then show text
	
	- [  ] Random Texts
	

### Big Thanks To ...
Horem - for always helping me troubleshoot and figure stuff out. 

## Changelog
1.0.3
-Re-uploading the correct version

1.0.2
- Added Server Sync to configs
- No longer needed on both client and server
- All vegvisirs are disabled by default. Enable the ones you want in the config.

1.0.1
- Updated README with future plans.

1.0.0
- Updated for public use

0.0.1
- Used personally for Purge 2 modpack